Bug 97335 - (DMI)apm does not work
(DMI)apm does not work
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2003-06-13 04:17 EDT by Paulo Roma Cavalcanti
Modified: 2007-04-18 12:54 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-12-16 20:37:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
dmidecode output (6.44 KB, text/plain)
2003-06-13 04:57 EDT, Paulo Roma Cavalcanti
no flags Details

  None (edit)
Description Paulo Roma Cavalcanti 2003-06-13 04:17:11 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.0; Linux 2.4.20-18.7 i686) Opera 6.12  [en]

Description of problem:
Hardware: dell inspiron 7500 - 512 Mb ram
Kernel: 2.4.20-18.7

RedHat has changeg  kernel configuration since 2.9 series.

Suspended mode of several laptop brands stopped working since then.

The problem is in .config of the source kernel.

CONFIG_APM_CPU_IDLE=y  <----------------------  wrong

should be like 2.9 kernel series: 

# CONFIG_APM_CPU_IDLE is not set

This has little impact, and solves all of the troubles of apm freezing when returning
from suspended mode.

Every time I want to update to a new redhat kernel I have to recompile it to have apm working again.

Please consider my request and change the configuration of new kernels.
This problem does not only occur with inspiron laptops, but with a lot of different brands,
which can be easily checked on the net.

Thank you.

Version-Release number of selected component (if applicable):
X freezes after suspended mode

How reproducible:

Steps to Reproduce:
1.Suspend laptop

Actual Results:  Generally freezes when returning from suspended mode.

Expected Results:  Should work always, the way it was in 2.9 series and below.

Additional info:

I have tested the cited modification in kernel 2.4.20 (either standard or redhat's)
and works perfectly.
Comment 1 Arjan van de Ven 2003-06-13 04:20:44 EDT
you don't need to recompile for that;
on the kernel commandline has the same effect.
If you can send me the dmidecode output of your machine I can even make this the
default for this laptop. (dmidecode is part of kernel-utils)
Comment 2 Paulo Roma Cavalcanti 2003-06-13 04:57:17 EDT
Created attachment 92384 [details]
dmidecode output

Supplying requested information.

Thank you
Comment 3 Arjan van de Ven 2003-06-13 05:14:53 EDT
thanks; I've added your bios/machine to the list of "don't do apm idle" machines.

Note You need to log in before you can comment on or make changes to this bug.